Ubuntu

[8xxx] Unity/compiz has sluggish performance on dual-head with nvidia driver

Reported by Falk on 2011-10-18
296
This bug affects 85 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
High
Unassigned
nvidia-graphics-drivers (Ubuntu)
High
Unassigned

Bug Description

When Unity/Compiz is running with the -nvidia driver and two monitors are connected, compiz and/or Xorg will consume CPU time (50-90% typ.) with window activity (opening large numbers of windows, resizing, moving, etc.)

Disabling "Sync to VBlank" appears not to help.

Duplicate bug #737454 suggests it may be an issue specific to the NVIDIA 8xxx series cards with large resolution sizes.

[Workarounds]
The issue can be reliably worked around by either disabling one of the displays, or disabling the Unity Plugin in CompizConfig Settings Manager

The nouveau driver on the same hardware typically does not have the performance issue (but may have other issues such as stability, rendering it not a valid workaround).

Some have reported that upgrading to -nvidia 290.03 solves the problem; others report it has no effect. See http://www.nvnews.net/vbulletin/showthread.php?p=2493300

Some have reported that lowering the external monitor resolution to match the laptop LVDS resolution brings performance to acceptable levels.

Description: Ubuntu 11.10
Release: 11.10
--
xorg:
  Installed: 1:7.6+7ubuntu7
  Candidate: 1:7.6+7ubuntu7
  Version table:
 *** 1:7.6+7ubuntu7 0
        500 http://se.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: xorg 1:7.6+7ubuntu7
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 280.13 Wed Jul 27 16:53:56 PDT 2011
 GCC version: gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu3)
.tmp.unity.support.test.0:

ApportVersion: 1.23-0ubuntu3
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,place,imgpng,gnomecompat,vpswitch,regex,resize,grid,mousepoll,scale,move,session,animation,unitymtgrabhandles,workarounds,wall,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Tue Oct 18 11:08:19 2011
DistUpgraded: Log time: 2011-10-14 08:32:51.288330
DistroCodename: oneiric
DistroVariant: ubuntu
DkmsStatus:
 nvidia-current, 285.05.09, 3.0.0-12-generic, x86_64: installedError! Could not locate dkms.conf file.
 File: does not exist.

 nvidia-current-updates, 280.13, 3.0.0-12-generic, x86_64: installed
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
 nVidia Corporation G86 [Quadro NVS 290] [10de:042f] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: nVidia Corporation Device [10de:0492]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
JockeyStatus:
 kmod:nvidia_173 - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
 kmod:nvidia_173_updates - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
 kmod:nvidia_current_updates - nvidia_current_updates (Proprietary, Enabled, Not in use)
 kmod:nvidia_current - nvidia_current (Proprietary, Enabled, Not in use)
MachineType: Hewlett-Packard HP Compaq dc7800p Small Form Factor
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=f5c340d9-f04b-4bcd-b714-909faceebfda ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: Upgraded to oneiric on 2011-10-14 (4 days ago)
dmi.bios.date: 07/18/2007
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 786F1 v01.04
dmi.board.asset.tag: CZC8378X1V
dmi.board.name: 0AA8h
dmi.board.vendor: Hewlett-Packard
dmi.chassis.asset.tag: CZC8378X1V
dmi.chassis.type: 4
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr786F1v01.04:bd07/18/2007:svnHewlett-Packard:pnHPCompaqdc7800pSmallFormFactor:pvr:rvnHewlett-Packard:rn0AA8h:rvr:cvnHewlett-Packard:ct4:cvr:
dmi.product.name: HP Compaq dc7800p Small Form Factor
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu3
version.ia32-libs: ia32-libs 20090808ubuntu26
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Falk (andreas-mockel) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Falk (andreas-mockel) wrote :
Falk (andreas-mockel) wrote :
Luke Hoersten (lukehoersten) wrote :

I have the same problem with the VGA compatible controller: nVidia Corporation G98 [Quadro NVS 450] (rev a1) and dual twinview monitors. Unity compiz was slow in 11.04 but is almost unusable in 11.10. I don't think it's a problem with the physical graphics card because Windows Aero stuff runs fine.

Falk (andreas-mockel) wrote :

I think this bug has been fixed in the last compiz update?
Can anyone confirm this?

--
Regards Falk

Falk (andreas-mockel) wrote :

It's much better but really not up to Natty's speed yet.

bugbot (bugbot) on 2011-10-20
affects: xorg (Ubuntu) → mesa (Ubuntu)
Arian (stolwijk-arian) wrote :

I've got the same problem. After a while the system becomes very very slow / freezes. I've got the same problem in 11.04 and it's only when using a dual-screen.

I'm using the "version current-updates" proprietary nvidia drivers.

Wouter Geraedts (w-geraedts) wrote :

I've got the same problem on a nVidia Corporation GF104 [GeForce GTX 460] (rev a1). After cloning the screen the system gets unusable; Compiz gets a relatively high load (~0.9 on a 6-core). Load gets lower after a while, system becomes usable again. Some Compiz plugins (desktop-zoom for example) do not work after this.

gmud (gmud) wrote :

Same problem here, Macbook Pro with

01:00.0 VGA compatible controller: nVidia Corporation GT216 [GeForce GT 330M] (rev a2) (prog-if 00 [VGA controller])
 Subsystem: Apple Computer Inc. Device 00c7
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at c0000000 (32-bit, non-prefetchable) [size=16M]
 Region 1: Memory at 90000000 (64-bit, prefetchable) [size=256M]
 Region 3: Memory at a0000000 (64-bit, prefetchable) [size=32M]
 Region 5: I/O ports at 2000 [size=128]
 [virtual] Expansion ROM at c1000000 [disabled] [size=512K]
 Capabilities: <access denied>
 Kernel driver in use: nvidia
 Kernel modules: nvidia, nouveau, nvidiafb

It's really slow when I connect another monitor. It was slow with Natty, too, but not at unusable like the new Ubuntu version. I have tried different version of the Nvidia graphics driver without any success to make it better.

I noticed that after plugging in the monitor compiz needs unusal long to "recover".

Bryce Harrington (bryce) wrote :

This seems likely to be either a nvidia driver bug or compiz (and definitely not mesa -- bad bugbot).

I've flagged it for attention with the multi-monitor support specification (https://blueprints.launchpad.net/ubuntu/+spec/desktop-p-multi-monitor).

For now I'll add tasks for both compiz and nvidia, until the issue is better pinpointed.

affects: mesa (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Changed in compiz (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2011-12-16
summary: - Unity compiz plugin makes display slow on multi-screen
+ Unity compiz plugin causes sluggish performance on dual-head with nvidia
+ driver
summary: - Unity compiz plugin causes sluggish performance on dual-head with nvidia
- driver
+ Unity/compiz has sluggish performance on dual-head with nvidia driver
Bryce Harrington (bryce) on 2011-12-16
description: updated

Just to chip in, this doesn't appear to be confined to the 8xxx series nvidia cards. I've seen this on G96 (Quadro FX 580), GT216 (Geforce GT 220) and on GF108 (GeForce GT 430). Not high-end cards by any stretch of the imagination, but all should be more than up to the task.

I've mainly encountered this on twinview setups with a pair of 1920x1200 screens. I can't recall if I've ever seen this on a single-monitor system as we don't have too many of those here.

290.10 doesn't help in any way on the one system I've tried it on.

This affects 11.04, as well as Ubuntu derivatives (Mint 11 and 12 spring to mind). I'm not sure about 10.04.

It isn't related to Unity or Gnome 3. I've seen this on both 11.04 and Mint 11 with Gnome 2, and Mint 12 with MATE. This seems 100% reproducible with MATE under Mint 12. Running 'compiz --replace' causes the problem every time. While that's not Ubuntu's problem, that might be a good place to start looking for clues.

For now, the workaround is definitely to avoid running compiz. This means losing a bunch of window management functionality and the general feeling of smoothness that compiz usually provides, but that's better than crippling performance.

I see this problem on an nVidia Quadro FX 370 with two screens attached. (1920x1200 + 1280x1024)

Forgot to mention, also tried version 290.10 of the drivers to no avail.

Bo Nygaard Bai (bai-v) wrote :

I have spend a lot of time trying different setups to test this. The conclusion seems to be:

1) The problem is apparent on both ATI and Nvidia hardware.

2) It only occurs on multiscreen setups

3) It only and always occurs when the Unity plugin to Compiz is active.

Simple reproduction can be done by:

Standard unity desktop session across multiple screens.

Run the attached python program in a fullscreen terminal on one screen.

Try typing in another terminal on another screen.

Python program to spout lines:
----
import time
import sys

try:
    lps=float(sys.argv[1])
except IndexError:
    lps=0

a=0
while True:
    a+=1
    print "Dette er lang linie nummer %d som skal vise om vi kan lave hurtig scroll" % a
    if lps > 0:
        time.sleep(1.0/lps)
----

W dniu 10.01.2012 13:55, Bo Nygaard Bai pisze:
> I have spend a lot of time trying different setups to test this. The
> conclusion seems to be:
>
> 1) The problem is apparent on both ATI and Nvidia hardware.
>
> 2) It only occurs on multiscreen setups
I have completely different experiences when it comes to this one. I
have been experiencing
problems with terminal when working on my laptop without any external
screens connected.
>
> 3) It only and always occurs when the Unity plugin to Compiz is active.
>
> Simple reproduction can be done by:
>
> Standard unity desktop session across multiple screens.
>
> Run the attached python program in a fullscreen terminal on one screen.
>
> Try typing in another terminal on another screen.
>
> Python program to spout lines:
> ----
> import time
> import sys
>
> try:
> lps=float(sys.argv[1])
> except IndexError:
> lps=0
>
> a=0
> while True:
> a+=1
> print "Dette er lang linie nummer %d som skal vise om vi kan lave hurtig scroll" % a
> if lps> 0:
> time.sleep(1.0/lps)
> ----
>

--
Pozdrawiam,
   Grzegorz Dyk

> 2) It only occurs on multiscreen setups

No, i have only one monitor here, and it happens here too.
See Bug #890785, which was marked as a duplicate of this bug, but it is not.
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/890785

The Bug here is talking about dual-head monitors, that i don't have/use.
I have an NVidia Geforce GTX 550 Ti videocard and clone mode etc. is turned of in nvidia-settings.

Bug #890785 has nothing to do with this bug or dual-head mode or two monitors, it also happens on one monitor systems.

> 3) It only and always occurs when the Unity plugin to Compiz is active.

No, i deinstalled and removed Unity completely from my system, and the CPU usage is still high.

This bug and Bug #890785 are in my opinion different bugs, they are no duplicates.
The bugs should discussed independently.
And #890785 shouldn't be marked as a duplicate of this bug here.

OIiver (euro-cent) wrote :

On addition to my last posting.

The process that is consuming 50 % of the cpu time is nautilus on my system.
Deactivating nautilus for example by switching to XFCE solves the problem, though it's not a good/real solution.

On 01/10/2012 02:10 PM, Grzegorz Dyk wrote:
> W dniu 10.01.2012 13:55, Bo Nygaard Bai pisze:
>> I have spend a lot of time trying different setups to test this. The
>> conclusion seems to be:
>>
>> 1) The problem is apparent on both ATI and Nvidia hardware.
>>
>> 2) It only occurs on multiscreen setups
> I have completely different experiences when it comes to this one. I
> have been experiencing
> problems with terminal when working on my laptop without any external
> screens connected.
>

That confirms my suspicion that this may be caused by several separate
issues.

What I am experiencing is clearly linked to Compiz/Unity on a
multi-screen desktop.

Some of the other reports suggest that there might also be a separate
issue with low performance related to specific combinations of drivers
and hardware as well.

I will split off bug #874619 as its title better reflects the issue i am
seeing.

/Bo Bai

Bo Nygaard Bai (bai-v) wrote :

On 01/10/2012 02:30 PM, OIiver wrote:
> On addition to my last posting.
>
> The process that is consuming 50 % of the cpu time is nautilus on my system.
> Deactivating nautilus for example by switching to XFCE solves the problem, though it's not a good/real solution.
>

I agree that it seems that several separate issues have been falsely
marked as duplicates of this bug.

The report that best describes the problems I have is #874619.

I will split it off.

/Bo Bai

after a few days - my compiz takes 72% cpu (of 400 , quadcore)
- killing it makes windows move smmoth and fast again (wobbly windows)
- then it's back to 214MB and slow within a few days..

Is this the same bug that this thread is about ?

Michael Knap (michael-knap) wrote :

AndreK, what you describe seems like bug 888039. You might want to have a peek over on that thread.

AndreK (andre-k) wrote :

Thank you. You are right.

Bryce Harrington (bryce) wrote :

@tseliot, please escalate this issue with NVIDIA.

Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
assignee: Alberto Milone (albertomilone) → nobody
ngsupb (ngsupb) wrote :

I have had this issue for 1-1.5 year despite of my and other bug reports. It was a pain to use Unity with compiz or compiz alone. Had to use 2d or nouveau drivers. Nouveau got new issues in 11.10 so it become even harder.
Certainly some bug exists in the proprietary drives. NVIDIA doesn't care of the old cards I am afraid they won't investigate this issue.

But I have solved all problems recently.
Pulled out that bastard(8400m GS) and replaced it with hd 3650
Really any problem now.

I am serious. hd 3650 is free from theses bugs for me.
Thanks to ATI.

Luckly I have a MXM slot in the notebook.
lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3650

Download full text (3.2 KiB)

.proc.driver.nvidia.gpus.0: Error: [Errno 21] est un dossier: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 295.20 Mon Feb 6 21:07:30 PST 2012
 GCC version: gcc version 4.6.2 (Ubuntu/Linaro 4.6.2-14ubuntu2)
.tmp.unity.support.test.0:

ApportVersion: 1.91-0ubuntu1
Architecture: amd64
CompizPlugins: [core,composite,opengl,decor,regex,scale,mousepoll,resize,workarounds,grid,snap,move,vpswitch,place,imgpng,gnomecompat,compiztoolbox,expo,wall,ezoom,unitymtgrabhandles,session,unityshell]
CompositorRunning: compiz
DistUpgraded: Log time: 2012-02-18 13:02:06.133908
DistroCodename: precise
DistroRelease: Ubuntu 12.04
DistroVariant: ubuntu
GraphicsCard:
 NVIDIA Corporation G86 [GeForce 8400M GS] [10de:0427] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:022e]
JockeyStatus:
 kmod:wl - Pilote réseau sans-fil Broadcom STA (Propriétaire, Activé, Utilisé) [auto-install]
 xorg:nvidia_current - Pilote d'accélération graphique NVIDIA (Propriétaire, Activé, Utilisé)
 xorg:nvidia_current_updates - Pilotes graphiques accélérés NVIDIA (mises à jour postérieures à la sortie d'Ubuntu) (Propriétaire, Désactivé, Non utilisé)
MachineType: Dell Inc. XPS M1530
NonfreeKernelModules: nvidia wl
Package: nvidia-graphics-drivers (not installed)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=fr_FR:fr:en_GB:en
 PATH=(custom, user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: root=UUID=9cd25371-1718-473e-8e6c-ec05093c4dc5 ro quiet splash
ProcVersionSignature: Ubuntu 3.2.0-17.26-generic 3.2.6
Tags: precise precise possible-manual-nvidia-install ubuntu regression reproducible compiz-0.9 precise possible-manual-nvidia-install ubuntu reproducible compiz-0.9
Uname: Linux 3.2.0-17-generic x86_64
UpgradeStatus: Upgraded to precise on 2012-02-18 (0 days ago)
UserGroups: adm admin cdrom dialout libvirtd lp lpadmin plugdev sambashare saned
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 11/19/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A12
dmi.board.name: 0D500F
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA12:bd11/19/2008:svnDellInc.:pnXPSM1530:pvr:rvnDellInc.:rn0D500F:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1530
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.7.0~bzr2995-0ubuntu4
version.ia32-libs: ia32-libs 20090808ubuntu33
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0~rc2-0ubuntu5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0~rc2-0ubuntu5
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901+git20120126-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+g...

Read more...

tags: added: apport-collected possible-manual-nvidia-install precise regression reproducible

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Same problem with NVIDIA GeForce 8400M GS.
Ubuntu precise is barely usable with laptop monitor + external monitor.
Back to using unity2d.

Zentai Andras (andras-zentai) wrote :

I got similar problems using single monitor configuration, just after upgraded my ATI card driver to the latest AMD propietary driver (12.2). Compiz used 50-80% of my CPU.
Before I used AMD propietary driver (12.1) without experiencing this problem. So I consider this as a regression.
My card is ATI Mobility Radeon HD 3650.

I just downgraded my AMD propietary driver back to version (12.1) and compiz CPU usage reduced to less than 10%, but usually between 0-2%.

I'm not sure that my problem fit in this bug, since in the header it was mentioned that nvidia drivers & dual head have problem. But the symptoms are quite similar. If there is a similar bug which is related to the AMD driver please let me know.

Has anybody tried to add

options nvidia NVreg_EnableMSI=1

to /etc/modprobre.d/nvidia.conf

?

Bryce Harrington (bryce) on 2012-04-02
summary: - Unity/compiz has sluggish performance on dual-head with nvidia driver
+ [8xxx] Unity/compiz has sluggish performance on dual-head with nvidia
+ driver
Bryce Harrington (bryce) wrote :

I notice several bugs reporting similar problems with older nvidia cards: 877438 (8xxx cards), 940742 (6xxx cards), 943643 (9800), 958251 (8600), 962191 (7100). The problems include generally degraded performance, fuzzy fonts, and/or lagging in games, which did not exist in earlier versions of the nvidia driver.

We've recently added a new 295-33 version of -nvidia to Ubuntu. The changelog doesn't specifically list a fix for this type of problem, but it does list a few performance fixes, and would be worth re-testing. Update to nvidia 295.33 and report back here whether or not it improved the performance.

Note, you might be seeing crashes, corruption, or other assorted problems, but these may be separate bugs, let's just focus on the performance regression on this bug report.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Triaged → Incomplete
Bryce Harrington (bryce) wrote :

Well, here's the problem, you have ancient nvidia bits installed. 285 is incompatible with the Ubuntu Precise xserver.

DkmsStatus:
 nvidia-current, 285.05.09, 3.0.0-12-generic, x86_64: installedError! Could not locate dkms.conf file.
 File: does not exist.

 nvidia-current-updates, 280.13, 3.0.0-12-generic, x86_64: installed

I'm not sure why that didn't upgrade on its own, but the way to work around this problem is to uninstall and apt-get purge nvidia*, and then reinstall nvidia using jockey.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → New
Bryce Harrington (bryce) wrote :

Let us know if purging and reinstalling nvidia solves it.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Incomplete
bugbot (bugbot) wrote :

We're closing this bug since there has not been a response from the original reporter. However, the issue still exists please feel free to reopen with the requested information. If you're not the original reporter, we'd prefer you file a new bug report.

Some tips:

  * Report X.org bugs via the command: `ubuntu-bug xorg`

  * Test against the latest development Ubuntu. http://cdimage.ubuntu.com/daily-live/
    Bugs marked as affecting the development version tend to get priority attention.

  * The `xdiagnose` utility has functionality for enabling debugging and
    analyzing a few common X problems.

  * Tag your bugs with the Ubuntu versions you have reproduced the issue in.

  * See https://wiki.ubuntu.com/X/Reporting for tips on writing good bug reports.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Expired
ecoxmit (ecoxmit) wrote :

I have exactly the same problem. Nvidia with ubuntu 12.04. With two monitors attached and unity running, compiz consumes 50% of CPU, and computer becomes unusable. I am able to solve the problem by either (i) removing one of the monitors or (ii) disabling the unity plugin; just as the original reporter stated. I am running the latest nvidia drivers available through jockey.

Still seems to effect multiple people.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Expired → Incomplete

Same problem on DELL laptop with NVIDIA Corporation G98M [Quadro NVS 160M] (rev a1) connected to docking station with external (1920*1200) monitor.

It starts to get hotter at my workplace with the summer nearby and GPU temperature seems to go up to 80+°C Once this happens the whole X session slows down and all applications start to take more CPU. I have the impression the graphics card somehow throttles down to almost unusable speed.
A workaround for me is to install a big fan that continuously blows on my laptop causing temperatures to go down again. Disabling the second screen also brings back temperatures to a normal level (and powermizer to level 0 where it stays at 2-3 with the extra monitor)

I'll try purging and reinstalling the driver...

Reinstall did not help, PowerMizer Performance level on idle still is 2 or 3 with the second monitor enabled. Think I'll switch to the nouveau driver unless that also brings up issues

Have been reminded of this bug, and thought I'd post a follow-up on my own experiences.

I noticed that my desktop would run smoothly at first, then once I had a few windows open, it went slow.

I used the "nvidia-smi" utility to monitor the memory usage on the GPU, and noticed that as I opened more windows, the memory usage would reach 90-95%. Once it reached that level, the desktop became very slow.

If I closed windows until the memory usage dropped before 90%, everything sped up again.

My solution was to purchase another video card. The old one had 256 MB of video RAM, the new one has 1024, and thus I don't reach that troublesome state any more.

People with laptops may not be able to apply this solution.

PS. On current desktop, with one browser (Chrome), Thunderbird, Pidgin, and six terminal windows, I'm using 400 MB of video memory. One could argue that this is excessive? It implies that you really need a minimum of 512 MB of video memory to use Compiz now..

ngsupb (ngsupb) wrote :

There is something that Ubuntu can't fix. I see this issue for 2 years already. It should go away itself when they stop using compiz

My NVIDIA Corporation G98M [Quadro NVS 160M] (rev a1) has 256MB ram, suppose it's time for a new laptop then...

deja (deja) wrote :

I am also having this issue with 12.04, 295.41 nvidia cuda dev drivers and a GTX 460SE. Removing compiz restores Xorg back to it's usual work load.

Max Bowsher (maxb) wrote :

This bug is very much still present on Quantal.

Environment:
Quantal, at time of release.
nvidia-current driver package.
Quadro NVS 290/PCIe/SSE2
Guest session (no significant customizations)

Simply maximizing a gnome-terminal takes more than 2 full seconds.

Daniel van Vugt (vanvugt) wrote :

All -

Performance bugs are almost always subjective and often vague. For this reason they are difficult to ever declare resolved.

To ensure the bug you're commenting on actually represents your performance problem personally, and to ensure a quicker resolution, please log your own performance bugs:
    ubuntu-bug compiz

Download full text (6.2 KiB)

I still have real performance problems with this gfx card on 12.04... I
guess that we have passed the eol on it with unity/complz combo.
Today I get a replacement computer with another NVIDIA Card.. And it will
be interesting to see what happens then

...
Regards Falk
On Oct 19, 2012 4:41 AM, "Daniel van Vugt" <email address hidden>
wrote:

> All -
>
> Performance bugs are almost always subjective and often vague. For this
> reason they are difficult to ever declare resolved.
>
> To ensure the bug you're commenting on actually represents your
> performance problem personally, and to ensure a quicker resolution, please
> log your own performance bugs:
> ubuntu-bug compiz
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/877438
>
> Title:
> [8xxx] Unity/compiz has sluggish performance on dual-head with nvidia
> driver
>
> Status in “compiz” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Incomplete
>
> Bug description:
> When Unity/Compiz is running with the -nvidia driver and two monitors
> are connected, compiz and/or Xorg will consume CPU time (50-90% typ.)
> with window activity (opening large numbers of windows, resizing,
> moving, etc.)
>
> Disabling "Sync to VBlank" appears not to help.
>
> Duplicate bug #737454 suggests it may be an issue specific to the
> NVIDIA 8xxx series cards with large resolution sizes.
>
> [Workarounds]
> The issue can be reliably worked around by either disabling one of the
> displays, or disabling the Unity Plugin in CompizConfig Settings Manager
>
> The nouveau driver on the same hardware typically does not have the
> performance issue (but may have other issues such as stability,
> rendering it not a valid workaround).
>
> Some have reported that upgrading to -nvidia 290.03 solves the
> problem; others report it has no effect. See
> http://www.nvnews.net/vbulletin/showthread.php?p=2493300
>
> Some have reported that lowering the external monitor resolution to
> match the laptop LVDS resolution brings performance to acceptable
> levels.
>
> Description: Ubuntu 11.10
> Release: 11.10
> --
> xorg:
> Installed: 1:7.6+7ubuntu7
> Candidate: 1:7.6+7ubuntu7
> Version table:
> *** 1:7.6+7ubuntu7 0
> 500 http://se.archive.ubuntu.com/ubuntu/ oneiric/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: xorg 1:7.6+7ubuntu7
> ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
> Uname: Linux 3.0.0-12-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory:
> '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 280.13 Wed Jul 27
> 16:53:56 PDT 2011
> GCC version: gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu3)
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.23-0ubuntu3
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,compizt...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints